#!/bin/bash

# Function to process Haskell files
process_hs_files() {
    # Find all .hs files recursively from current directory
    find "$(pwd)" -type f -name "*.hs" | while read -r file; do
        # Print the file name with a header
        echo "=== File: $file ==="
        # Print the contents of the file
        cat "$file"
        # Add some spacing between files
        echo -e "\n"
    done
}

# Execute the function
process_hs_files
